export const ConnectorSchemaTemplate = `import * as zod from "zod";
import { register } from "zod-metadata";
register(zod);

export const connectorConfigurationSchema = zod.object({
  apiUrl: zod.string().min(1).trim().default("https://api.example.com"),
  apiToken: zod.string().min(1).trim().default("exampleToken").meta({ secret: true }),
  instanceID: zod.string().optional()
});;

export type ConnectorSettings = Zod.output<typeof connectorConfigurationSchema>;`;
//# sourceMappingURL=connector-schema.ts.template.js.map