export declare const connectFunctionTemplate = "import { withNetlifySDKContext } from \"@netlify/sdk/ui/functions\";\n\nexport default withNetlifySDKContext(async (req, context) => {\n  const { client, teamId } = context;\n\n  const query = new URL(req.url).searchParams;\n  const dataLayerId = query.get(\"dataLayerId\");\n  const configurationId = query.get(\"configurationId\");\n\n  try {\n    if (!teamId || !dataLayerId) {\n      return Response.json({}, { status: 400 });\n    }\n    if (req.method === \"GET\") {\n      if (!configurationId) {\n        return Response.json({});\n      }\n      const config = await client.getConnectConfiguration({\n        teamId,\n        dataLayerId,\n        configurationId,\n      });\n      if (!config) {\n        return Response.json({});\n      }\n      return Response.json({\n        name: config.name,\n        prefix: config.prefix,\n        config: config.config,\n      });\n    } else if (req.method === \"PUT\") {\n      const body = (await req.json()) as {\n        name: string;\n        prefix: string;\n        config: Record<string, any>;\n      };\n      const { name, prefix, config } = body;\n      if (configurationId && configurationId !== \"\") {\n        await client.updateConnectConfiguration({\n          teamId,\n          dataLayerId,\n          configurationId,\n          name,\n          prefix,\n          config,\n        });\n      } else {\n        await client.createConnectConfiguration({\n          teamId,\n          dataLayerId,\n          name,\n          prefix,\n          config,\n        });\n      }\n      return Response.json({}, { status: 202 });\n    } else {\n      return Response.json({}, { status: 405 });\n    }\n  } catch (_e) {\n    return Response.json({}, { status: 500 });\n  }\n});\n";
//# sourceMappingURL=connect.ts.template.d.ts.map