export declare const visualEditorFunctionTemplate = "import { withNetlifySDKContext } from \"@netlify/sdk/ui/functions\";\n\nexport default withNetlifySDKContext(async (req, context) => {\n  const { client, teamId } = context;\n\n  const query = new URL(req.url).searchParams;\n  const siteId = query.get(\"siteId\");\n  const configurationId = query.get(\"configurationId\");\n  const projectId = query.get(\"projectId\") as string;\n\n  try {\n    if (!teamId || !siteId) {\n      return Response.json({}, { status: 400 });\n    }\n    if (req.method === \"GET\") {\n      if (!configurationId) {\n        return Response.json({});\n      }\n      const config = await client.getVisualEditorConfiguration({\n        teamId,\n        siteId,\n        configurationId,\n      });\n      if (!config) {\n        return Response.json({});\n      }\n      return Response.json({\n        name: config.name,\n        prefix: config.prefix,\n        config: config.config,\n      });\n    } else if (req.method === \"PUT\") {\n      const body = (await req.json()) as {\n        name: string;\n        prefix: string;\n        config: Record<string, any>;\n        projectId: string;\n      };\n      const { name, prefix, config } = body;\n      if (configurationId && configurationId !== \"\") {\n        await client.updateVisualEditorConfiguration({\n          teamId,\n          siteId,\n          configurationId,\n          name,\n          prefix,\n          config,\n          projectId,\n        });\n      } else {\n        await client.createVisualEditorConfiguration({\n          teamId,\n          siteId,\n          name,\n          prefix,\n          config,\n          projectId,\n        });\n      }\n      return Response.json({}, { status: 202 });\n    } else {\n      return Response.json({}, { status: 405 });\n    }\n  } catch (_e) {\n    return Response.json({}, { status: 500 });\n  }\n});\n";
//# sourceMappingURL=visual-editor.ts.template.d.ts.map